/* diskdrv.c */
extern CDROMSTS InitialiseDrive(const DEVICE *dev);
extern CDROMSTS DriveStatus(const DEVICE *dev);
extern CDROMSTS DriveEnquiry(const DEVICE *dev, char *s);
extern CDROMSTS LockDrive(const DEVICE *dev);
extern CDROMSTS UnlockDrive(const DEVICE *dev);
extern CDROMSTS ReadVolumeDesc(const DEVICE *dev);
extern void GetVolumeDesc(const DEVICE *dev, char *s);
extern CDROMSTS ReadBlock(const DEVICE *dev, LONG sector, LONG length, UWORD *info);
extern CDROMSTS ReadPktCmd(const DEVICE *dev, const PKTCMD *packet, UWORD *info);
extern UBYTE DriveBusy(const DEVICE *dev);
