/* touchscreen.c */
extern UWORD x_scale_lookup[1024];
extern UWORD y_scale_lookup[1024];
extern void TouchScreenSetScale(WORD xmax, WORD ymax, BYTE xinvert, BYTE yinvert);
extern LONG touch_screen_scaling_formula(LONG Cx, WORD xmax, WORD *calib_data);
extern void touch_screen_write_buffer(UBYTE status, UWORD x, UWORD y, UWORD z);
extern TOUCHDATA *TouchScreenGetNextData(TOUCHDATA *touch_packet);
extern UWORD TouchScreenGetX(TOUCHDATA *touch_packet);
extern UWORD TouchScreenGetY(TOUCHDATA *touch_packet);
extern UWORD TouchScreenGetZ(TOUCHDATA *touch_packet);
extern UBYTE TouchScreenGetTouchStatus(TOUCHDATA *touch_packet);
extern void TouchScreenCommsMode(const DEVICE *dev, BYTE mode);
extern UWORD TouchScreenInit(const DEVICE *dev);
extern UWORD TouchScreenReset(const DEVICE *dev, UBYTE reset_type);
extern UWORD TouchScreenIdentify(const DEVICE *dev, TOUCHIDENTITY *touchidentity);
extern UWORD TouchScreenSetSerial(const DEVICE *dev, BYTE baud, BYTE bits, BYTE stop, BYTE parity, BYTE handshake);
extern UWORD TouchScreenSetMode(const DEVICE *dev, UBYTE mode);
extern UWORD TouchScreenCalibrate(const DEVICE *dev, UWORD step_number);
