/* cdrom.c */
extern VD cd_vol_desc;
extern const CDROMSERVICES CDRomServices;
extern const DEVICE CDRomDevice;
extern const PKTCMD PKTDriveStatus;
extern const PKTCMD PKTReadVolDesc;
extern const PKTCMD PKTEnquiry;
extern const PKTCMD PKTLock;
extern const PKTCMD PKTUnlock;
extern const PKTCMD PKTReadBlock;
extern const PKTCMD PKTStart;
extern const PKTCMD PKTSpeed;
extern CDROMSTS initialise(const DEVICE *dev);
extern UBYTE busy(const DEVICE *dev);
extern CDROMSTS readpktcmd(const DEVICE *dev, const PKTCMD *packet, UWORD *info);
extern CDROMSTS drivestatus(const DEVICE *dev);
extern CDROMSTS enquiry(const DEVICE *dev, char *s);
extern CDROMSTS lock(const DEVICE *dev);
extern CDROMSTS unlock(const DEVICE *dev);
extern CDROMSTS readvolumedesc(const DEVICE *dev);
extern void getvolumedesc(const DEVICE *dev, char *s);
extern CDROMSTS readblock(const DEVICE *dev, LONG sector, LONG length, UWORD *info);
extern CDROMSTS start(const DEVICE *dev);
extern CDROMSTS speed(const DEVICE *dev);
