/*************************************************************************
Title........ e2rdev.h
Date......... Thu Aug 26 15:53:44  1999
Author....... J.M.Tarrant
*************************************************************************/
/****	Defines */

	#define		NM24C04	0x001ff
	#define		NM24C08	0x003ff

	#define		E2ROM_PAGE_SIZE 16

/****	Type Definitions */

typedef	struct e2rcfg
	{
	const	DEVICE*	i2cdevice;
	WORD	offsetmask;
	TIME	recoverytime;
	TIME	retrytime;
	BYTE	reties;
	BYTE	blockaddr[4];
	} E2RCFG;

typedef	struct	e2rvars
	{
	const	E2RCFG*	config;
	} E2RVARS;


/****** Prototypes ******/

#include "e2rom.p"

/*************************************************************************/
