/*************************************************************************
Title........ rtcdev.h
Date......... Wed Aug 25 09:56:22  1999
Author....... J.M.Tarrant
*************************************************************************/
/****	Defines */


#define	PIC_LOG			0
#define	PIC_LOGSIZ		12
#define	PIC_SR			48
#define	PIC_TIME		49
#define	PIC_C2O			51
#define	PIC_O2C			52
#define	PIC_IDX			54
#define	PIC_RESETTIME	55


/****	Type Definitions */

typedef	struct	piccfg
	{
	const	DEVICE*	i2cdevice;
	BYTE	i2caddr;
	} PICCFG;

typedef	struct	picvars
	{
	const	PICCFG* config;
	} PICVARS;


typedef	union
	{
	ULONG	integer;
	struct
		{
		BYTE		swstatus;
		BYTE		high;
		BYTE		mid;
		BYTE		low;
		} log;
	} PICLOG;


/****	Prototypes */

	#include	"pic.p"

/*************************************************************************/
