/*************************************************************************
Title........ rtcdev.h
Date......... Wed Aug 25 09:56:22  1999
Author....... J.M.Tarrant
*************************************************************************/
/****	Defines */


#define	RTC_CR		0x00
#define	RTC_TIME	0x01

#define	RTC_STOP_BT	0x80

/****	Type Definitions */

typedef	struct	rcfg
	{
	BYTE	cr;
	const	DEVICE*	i2cdevice;
	BYTE	addr;
	} RTCCFG;

typedef	struct	rtcvars
	{
	const	RTCCFG* config;
	} RTCVARS;

typedef	struct	rtcservices
	{
	BYTE		(*SetRTCTime)(const DEVICE* rtcdev,const RTIME* time);
	BYTE		(*GetRTCTime)(const DEVICE* rtcdev,RTIME* time);
	} RTCSERVICES;


/****	Prototypes */

	#include	"rtc.p"

/*************************************************************************/
