/* stepper.c */
extern const STEPSERVICES StepperServices;
extern const DEVICE StepperDevice;
extern UWORD getWakeUpDelay(void);
extern void setWakeUpDelay(UWORD setval);
extern void SetDutyCycle(const STEPPER *sp);
extern void SpinMotor(const DEVICE *dev, WORD motidx, WORD dist, WORD rampidx);
extern void Stabilize(STEPPER *sp);
extern void RampUp(STEPPER *sp);
extern void Run(STEPPER *sp);
extern void SkillRun(STEPPER *sp);
extern void RampDown(STEPPER *sp);
extern void HalfStep(STEPPER *sp);
extern void Idle1(STEPPER *sp);
extern void Idle0(STEPPER *sp);
extern void WobbleTmn(STEPPER *sp);
extern void WobbleRun(STEPPER *sp);
extern void HSwobble_tmn(STEPPER *sp);
extern void HSwobble_run(STEPPER *sp);
extern void do_HSwobble(STEPPER *sp, WORD dir);
